#include <bits/stdc++.h>

using namespace std;

int main()
{
	int t;
	cin >> t;
	string da[t];
	for (int i = 0; i < t; i++)
	{
		long long n, m, k;
		cin >> n >> m >> k;
		int veca = n%k;
		if((veca*(n/k+2)*(n/k+1)/2)+((k-veca)*(n/k+1)*(n/k)/2)>m)
		da[i]="Nie";
		else
		da[i]="Tak";
	}
	for (int i = 0; i < t; i++)
		cout << da[i] << endl;
	return 0;
}